#
# spec file for package python-PyScreeze
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-PyScreeze
Version:        0.1.30
Release:        1.5
Summary:        A screenshot Python module
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/asweigart/pyscreeze
Source:         https://files.pythonhosted.org/packages/source/P/PyScreeze/PyScreeze-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Pillow
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Pillow}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module python-xlib}
BuildRequires:  scrot
BuildRequires:  xvfb-run
# /SECTION
%python_subpackages

%description
PyScreeze is a screenshot module for Python 2 and 3.

%prep
%setup -q -n PyScreeze-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# tests lack fixtures https://github.com/asweigart/pyscreeze/issues/44
#pushd tests/
#%%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} xvfb-run py.test-%{$python_bin_suffix} -v
#popd

%files %{python_files}
%doc README.md
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Tue Jan  9 2024 Dirk Müller <dmueller@suse.com>
- update to 0.1.30:
  * Fixed screenshots so they work on Wayland
* Mon Aug 29 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- update to 0.1.28
  * Fix for DC Release error that happened when calling pixel()
    after calling screenshot() on Windows.
* Wed Jan 15 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 0.1.26
  * Added some comments and docstring. Updated setup.py to Python 3.8
  * Made Pillow a hard requirement for the general unit test.
* Tue Sep 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.1.22:
  * Added -z to scrot to silence the beep.
* Tue Jun 18 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.1.21:
  * Fix memory leak at pixel().
* Mon Mar 11 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.1.20:
  * Going back to the old "return None" behavior, but adding
    USE_IMAGE_NOT_FOUND_EXCEPTION to make raising exceptions possible too
* Mon Mar  4 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.1.19:
  * Fixing MANIFEST.in to include readme, which cause installation failure.
  * Adjusted setup.py to include the long description.
  * Adjusted setup.py to include the long description.
  * Fixed a bug involving the generator for locateAll().
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Mar  5 2018 jengelh@inai.de
- Ensure neutrality of description.
* Mon Mar  5 2018 alarrosa@suse.com
- Initial release of python-PyScreeze 0.1.14
